Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 983961 (pyqt-mail-checker) - Review Request: pyqt-mail-checker -- Applet periodically checking for new messages in the mailboxes
Summary: Review Request: pyqt-mail-checker -- Applet periodically checking for new mes...
Keywords:
Status: CLOSED ERRATA
Alias: pyqt-mail-checker
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-07-12 11:49 UTC by Fl@sh
Modified: 2013-08-17 01:08 UTC (History)
4 users (show)

Fixed In Version: pyqt-mail-checker-2.0.2-3.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-16 23:01:56 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Fl@sh 2013-07-12 11:49:08 UTC
Applet should periodic check for new messages in configured accounts.
Supported protocols: POP3/POP3S/IMAP4/IMAP4S + IMAP4_IDLE.
Passwords for accounts stored in encrypted container
(KWallet / Gnome Keyring / Crypto File).
Support integrated mail viewer with quick answer & forward mail.

SPEC: https://github.com/F1ash/pyqt-mail-checker/blob/2.0.1/pyqt-mail-checker.spec
SRPM: http://kojipkgs.fedoraproject.org//work/tasks/7603/5597603/pyqt-mail-checker-2.0.1-1.fc19.src.rpm

Comment 1 Christopher Meng 2013-07-16 05:10:55 UTC
It seems there is nothing to deal in %build section.

You can add a note to explain.

Comment 2 Christopher Meng 2013-07-16 05:11:52 UTC
Issue:

You forgot to update the icon cache, see:

http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Comment 3 Mario Blättermann 2013-07-16 14:36:32 UTC
Please provide a *downloadable* link:
https://raw.github.com/F1ash/pyqt-mail-checker/2.0.1/pyqt-mail-checker.spec
Your spec file link points to the website, not to the raw file. Well, I cannot speak for other reviewers, but I like to download both spec and srpm to a local folder and have a look at them. And if someone wants to view the file online, a browser should also be able to display plain text correctly. Github in particular (and probably some other VCS web viewers) doesn't have syntax highlighting, so there's no advantage of viewing it in the browser.

Additionally to the missing icon cache update mentioned by Christopher, I'm missing the desktop file scriptlet:
http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

make install DESTDIR=$RPM_BUILD_ROOT/usr
Don't use /usr. We have the %{_prefix} macro therefore.

Comment 5 Mario Blättermann 2013-07-17 17:01:45 UTC
(In reply to Mario Blättermann from comment #3)
> Additionally to the missing icon cache update mentioned by Christopher, I'm
> missing the desktop file scriptlet:
> http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

Please add the appropriate scriptlet. Your comment about desktop-file-utils is wrong. This build requirement is not needed for updating the icon cache, but for the installation or validation of a desktop file.

Comment 7 Christopher Meng 2013-07-18 10:11:01 UTC
You've mixed 2 styles for build root tag. 

Should only use macro style or variable style. 

Which one do you prefer, %{buildroot} or $RPM_BUILD_ROOT?

Comment 8 Fl@sh 2013-07-18 11:50:09 UTC
> You've mixed 2 styles for build root tag. 
> 
> Should only use macro style or variable style. 
> 
SPEC: https://raw.github.com/F1ash/pyqt-mail-checker/2.0.1/pyqt-mail-checker.spec
SRPM: http://kojipkgs.fedoraproject.org//work/tasks/7155/5627155/pyqt-mail-checker-2.0.1-4.fc19.src.rpm

Comment 9 Mario Blättermann 2013-07-29 08:01:27 UTC
The srpm is not available. Please fix. I don't know how Koji behaves regarding such packages, maybe the package has been crowded unintendendly, as it happens with scratch builds after two weeks? Wouldn't it be better to use your fedorapeople webspace instead?

The %{name} tag inside %description is not needed as long as you don't have subpackages which need a different description.

Comment 10 Michael Schwendt 2013-07-29 09:20:11 UTC
> %description
> %{name}

That's very unusual, since the description is supposed to be constructed of full sentences.

Same for sub-packages. %name would not be used at all in a description's first line. Unless you specify the full sub-package name directly behind the %description macro:

  %description -n %{name}-subname

Normally one simply uses the short form for sub-package names derived from the base %name:

  %description subname

Comment 12 Christopher Meng 2013-07-30 02:20:50 UTC
1. pyqt-mail-checker.noarch: E: non-executable-script /usr/share/pyqt-mail-checker/SettingsDialog/__init__.py 0644L /usr/bin/python
pyqt-mail-checker.noarch: E: non-executable-script /usr/share/pyqt-mail-checker/misc/__init__.py 0644L /usr/bin/python
pyqt-mail-checker.noarch: E: non-executable-script /usr/share/pyqt-mail-checker/Utils/__init__.py 0644L /usr/bin/python
pyqt-mail-checker.noarch: E: non-executable-script /usr/share/pyqt-mail-checker/MessageStack/__init__.py 0644L /usr/bin/python
pyqt-mail-checker.noarch: E: non-executable-script /usr/share/pyqt-mail-checker/Threads/__init__.py 0644L /usr/bin/python
pyqt-mail-checker.noarch: E: non-executable-script /usr/share/pyqt-mail-checker/__init__.py 0644L /usr/bin/python

2. Can you rename your binary to %{name} but not %{name}.py?

Comment 14 Christopher Meng 2013-08-01 05:00:15 UTC
APPROVED.

Comment 15 Kevin Kofler 2013-08-01 21:36:18 UTC
Please fix the grammar in your Summary, one checks FOR new messages, and "a messages" doesn't make sense, there's no indefinite article in the plural in English.

"mailboxes list" also sounds strange.

Comment 16 Fl@sh 2013-08-03 12:43:55 UTC
(In reply to Kevin Kofler from comment #15)
> Please fix the grammar in your Summary, one checks FOR new messages, and "a
> messages" doesn't make sense, there's no indefinite article in the plural in
> English.
> 
> "mailboxes list" also sounds strange.

"The applet checks for the new messages in the mail boxes periodically"

^^ This variant is correct?

Comment 17 Kevin Kofler 2013-08-04 21:31:09 UTC
Sorry, but still no. I understand that the proper use of articles is hard to grasp if your mother tongue doesn't have them.

I'd say "for new messages" rather than "for the new messages". As I said, the plural of "a" (indefinite article) is no article at all, and here we want the indefinite form: "for the new messages" implies there are some specific messages we need to check for (i.e. we already know which messages we are talking about), but that doesn't make sense because if we have to check for new messages, we don't even know whether there are any messages.

And "mailbox" is usually written in one word, that was also correct initially.

Then, "The applet checks for new messages in the mailboxes periodically" is a correct sentence, but still doesn't sound right. I'd write it as:

Summary: Applet periodically checking for new messages in the mailboxes

Notice how I put the noun describing what the package is first, without an article (as the original summary also had it, and most RPM Summary tags are written in that style) and how the Summary is a noun phrase ("applet checking …") rather than a sentence ("the applet checks…"). I also put "periodically" before the verb, which is more common usage in English.

Comment 18 Fl@sh 2013-08-05 18:12:27 UTC
...
> Summary: Applet periodically checking for new messages in the mailboxes
> 
https://raw.github.com/F1ash/pyqt-mail-checker/2.0.2/pyqt-mail-checker.spec

Thanks :)
This is a good lesson.

Comment 19 Fl@sh 2013-08-05 18:50:03 UTC
New Package SCM Request
=======================
Package Name: pyqt-mail-checker
Short Description: Applet periodically checking for new messages in the mailboxes
Owners: f1ash
Branches: f18 f19
InitialCC:

Comment 20 Gwyn Ciesla 2013-08-05 20:12:53 UTC
Git done (by process-git-requests).

Comment 21 Fedora Update System 2013-08-06 17:47:01 UTC
pyqt-mail-checker-2.0.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pyqt-mail-checker-2.0.2-3.fc18

Comment 22 Fedora Update System 2013-08-06 17:47:14 UTC
pyqt-mail-checker-2.0.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pyqt-mail-checker-2.0.2-3.fc19

Comment 23 Fedora Update System 2013-08-07 22:55:36 UTC
pyqt-mail-checker-2.0.2-3.fc18 has been pushed to the Fedora 18 testing repository.

Comment 24 Fedora Update System 2013-08-16 23:01:56 UTC
pyqt-mail-checker-2.0.2-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 25 Fedora Update System 2013-08-16 23:05:27 UTC
pyqt-mail-checker-2.0.2-3.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.